VTK: vtkExodusIIReaderPrivate::BlockSetInfoType Struct Reference

| VTK 9.3.1

Public Member Functions | Public Attributes | List of all members
vtkExodusIIReaderPrivate::BlockSetInfoType Struct Reference

A struct to hold information about Exodus blocks or sets (they have some members in common) More...

`#include <vtkExodusIIReaderPrivate.h>`

Inheritance diagram for vtkExodusIIReaderPrivate::BlockSetInfoType:
[legend]
Collaboration diagram for vtkExodusIIReaderPrivate::BlockSetInfoType:
[legend]

## Public Member Functions
| BlockSetInfoType ()
| BlockSetInfoType (const BlockSetInfoType &block)
| ~BlockSetInfoType ()
BlockSetInfoType & | operator= (const BlockSetInfoType &block)

## Public Attributes
vtkIdType | FileOffset
| Id (1-based) of first entry in file-local list across all blocks in file. More...
std::map< vtkIdType, vtkIdType > | PointMap
| A map from nodal IDs in an Exodus file to nodal IDs in the output mesh. More...
std::map< vtkIdType, vtkIdType > | ReversePointMap
| A map from nodal ids in the output mesh to those in an Exodus file. More...
vtkIdType | NextSqueezePoint
| The next vtk ID to use for a connectivity entry when point squeezing is on and no point ID exists. More...
vtkUnstructuredGrid * | CachedConnectivity
| Cached cell connectivity arrays for mesh. More...
Public Attributes inherited from vtkExodusIIReaderPrivate::ObjectInfoType
int | Size
| Number of entries in this block. More...
int | Status
| Should the reader load this block? More...
int | Id
| User-assigned identification number. More...
vtkStdString | Name
| User-assigned name. More...

## Detailed Description

A struct to hold information about Exodus blocks or sets (they have some members in common)

Definition at line 328 of file vtkExodusIIReaderPrivate.h.

## Constructor & Destructor Documentation

## ◆ BlockSetInfoType() [1/2]

vtkExodusIIReaderPrivate::BlockSetInfoType::BlockSetInfoType | ( |  | ) |
| inline

Definition at line 349 of file vtkExodusIIReaderPrivate.h.

## ◆ BlockSetInfoType() [2/2]

vtkExodusIIReaderPrivate::BlockSetInfoType::BlockSetInfoType | ( | const BlockSetInfoType & | block | ) |

## ◆ ~BlockSetInfoType()

vtkExodusIIReaderPrivate::BlockSetInfoType::~BlockSetInfoType | ( |  | ) |

## Member Function Documentation

## ◆ operator=()

BlockSetInfoType& vtkExodusIIReaderPrivate::BlockSetInfoType::operator= | ( | const BlockSetInfoType & | block | ) |

## Member Data Documentation

## ◆ FileOffset

vtkIdType vtkExodusIIReaderPrivate::BlockSetInfoType::FileOffset

Id (1-based) of first entry in file-local list across all blocks in file.

Definition at line 331 of file vtkExodusIIReaderPrivate.h.

## ◆ PointMap

std::map<vtkIdType, vtkIdType> vtkExodusIIReaderPrivate::BlockSetInfoType::PointMap

A map from nodal IDs in an Exodus file to nodal IDs in the output mesh.

Should only be used when SqueezePoints is true. Otherwise, just subtract 1 from any Exodus node ID to get the VTK node ID.

Definition at line 336 of file vtkExodusIIReaderPrivate.h.

## ◆ ReversePointMap

std::map<vtkIdType, vtkIdType> vtkExodusIIReaderPrivate::BlockSetInfoType::ReversePointMap

A map from nodal ids in the output mesh to those in an Exodus file.

Should only be used when SqueezePoints is true. Otherwise, just add 1 to any VTK node ID to get the Exodus node ID.

Definition at line 341 of file vtkExodusIIReaderPrivate.h.

## ◆ NextSqueezePoint

vtkIdType vtkExodusIIReaderPrivate::BlockSetInfoType::NextSqueezePoint

The next vtk ID to use for a connectivity entry when point squeezing is on and no point ID exists.

Definition at line 345 of file vtkExodusIIReaderPrivate.h.

## ◆ CachedConnectivity

vtkUnstructuredGrid* vtkExodusIIReaderPrivate::BlockSetInfoType::CachedConnectivity

Cached cell connectivity arrays for mesh.

Definition at line 347 of file vtkExodusIIReaderPrivate.h.

The documentation for this struct was generated from the following file:

- IO/Exodus/vtkExodusIIReaderPrivate.h